NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.SketchCollection Class Reference

Represents a collection of sketches More...

Inheritance diagram for NXOpen.SketchCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.SketchAngularDimensionBuilder 
CreateAngularDimensionBuilder (NXOpen.Annotations.AngularDimension angularDimension)
 Creates a NXOpen.SketchAngularDimensionBuilder More...
 
unsafe
NXOpen.SketchAutoConstrainBuilder 
CreateAutoConstrainBuilder ()
 Creates a NXOpen.SketchAutoConstrainBuilder More...
 
unsafe
NXOpen.SketchAutoDimensionBuilder 
CreateAutoDimensionBuilder ()
 Creates a NXOpen.SketchAutoDimensionBuilder More...
 
unsafe
NXOpen.SketchConstraintBuilder 
CreateConstraintBuilder ()
 Creates a NXOpen.SketchConstraintBuilder More...
 
unsafe
NXOpen.ConvertToFromReferenceBuilder 
CreateConvertToFromReferenceBuilder ()
 Creates a NXOpen.ConvertToFromReferenceBuilder More...
 
unsafe NXOpen.SketchCornerBuilder CreateCornerBuilder ()
 Creates a NXOpen.SketchCornerBuilder More...
 
unsafe
NXOpen.SketchDimensionBuilder 
CreateDimensionBuilder (NXOpen.SketchDimensionalConstraint constraint)
 Creates a NXOpen.SketchDimensionBuilder More...
 
unsafe
NXOpen.SketchEditDefiningSectionBuilder 
CreateEditDefiningSectionBuilder ()
 Creates a NXOpen.SketchEditDefiningSectionBuilder More...
 
unsafe
NXOpen.InferredConstraintsBuilder 
CreateInferredConstraintsBuilder ()
 Creates a NXOpen.InferredConstraintsBuilder More...
 
unsafe
NXOpen.SketchIntersectionCurveBuilder 
CreateIntersectionCurveBuilder (NXOpen.SketchIntersectionCurve operation)
 Creates the builder for intersection curve More...
 
unsafe
NXOpen.SketchIntersectionPointBuilder 
CreateIntersectionPointBuilder (NXOpen.SketchIntersectionPoint operation)
 Creates the builder for intersection point More...
 
unsafe
NXOpen.SketchLinearDimensionBuilder 
CreateLinearDimensionBuilder (NXOpen.Annotations.Dimension linearDimension)
 Creates a NXOpen.SketchLinearDimensionBuilder More...
 
unsafe
NXOpen.SketchMakeSymmetricBuilder 
CreateMakeSymmetricBuilder ()
 Creates a NXOpen.SketchMakeSymmetricBuilder More...
 
unsafe NXOpen.SketchInPlaceBuilder CreateNewSketchInPlaceBuilder (NXOpen.Sketch operation)
 Creates a NXOpen.SketchInPlaceBuilder More...
 
unsafe NXOpen.SketchProjectBuilder CreateProjectBuilder (NXOpen.Features.Feature operation)
 Creates a NXOpen.SketchProjectBuilder More...
 
unsafe
NXOpen.SketchQuickExtendBuilder 
CreateQuickExtendBuilder ()
 Creates a NXOpen.SketchQuickExtendBuilder More...
 
unsafe
NXOpen.SketchQuickTrimBuilder 
CreateQuickTrimBuilder ()
 Creates a NXOpen.SketchQuickTrimBuilder More...
 
unsafe
NXOpen.SketchRadialDimensionBuilder 
CreateRadialDimensionBuilder (NXOpen.Annotations.Dimension radialDimension)
 Creates a NXOpen.SketchRadialDimensionBuilder More...
 
unsafe
NXOpen.SketchRapidDimensionBuilder 
CreateRapidDimensionBuilder ()
 Creates a NXOpen.SketchRapidDimensionBuilder More...
 
unsafe NXOpen.Sketch CreateSketch (string name, NXOpen.ISurface attachmentPlane, NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense, NXOpen.PlaneNormalOrientation normalOrientation)
 Creates a sketch More...
 
unsafe NXOpen.Sketch CreateSketch (string name, NXOpen.ISurface attachmentPlane, NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense, NXOpen.PlaneNormalOrientation normalOrientation, NXOpen.NXObject view)
 Creates a sketch. More...
 
unsafe
NXOpen.SketchAlongPathBuilder 
CreateSketchAlongPathBuilder (NXOpen.Sketch operation)
 Creates a NXOpen.SketchAlongPathBuilder More...
 
unsafe
NXOpen.SketchAssociativeTrimBuilder 
CreateSketchAssociativeTrimBuilder (NXOpen.SketchAssociativeTrim trimCon)
 Creates a NXOpen.SketchAssociativeTrimBuilder More...
 
unsafe NXOpen.SketchChamferBuilder CreateSketchChamferBuilder ()
 Creates a NXOpen.SketchChamferBuilder More...
 
unsafe NXOpen.SketchConicBuilder CreateSketchConicBuilder (NXOpen.NXObject conic)
 Creates a NXOpen.SketchConicBuilder More...
 
unsafe NXOpen.SketchEllipseBuilder CreateSketchEllipseBuilder (NXOpen.NXObject ellipse)
 Creates a NXOpen.SketchEllipseBuilder More...
 
unsafe
NXOpen.SketchInDraftingBuilder 
CreateSketchInDraftingBuilder ()
 Creates a NXOpen.SketchInDraftingBuilder More...
 
unsafe NXOpen.SketchInPlaceBuilder CreateSketchInPlaceBuilder2 (NXOpen.Sketch operation)
 Creates a NXOpen.SketchInPlaceBuilder More...
 
unsafe
NXOpen.SketchMirrorPatternBuilder 
CreateSketchMirrorPatternBuilder (NXOpen.SketchPattern con)
 Creates a NXOpen.SketchMirrorPatternBuilder More...
 
unsafe NXOpen.SketchOffsetBuilder CreateSketchOffsetBuilder (NXOpen.SketchOffset offCon)
 Creates a NXOpen.SketchOffsetBuilder . More...
 
unsafe NXOpen.SketchPasteBuilder CreateSketchPasteBuilder (NXOpen.Sketch[] sketches)
 Creates a NXOpen.SketchPasteBuilder More...
 
unsafe NXOpen.SketchPatternBuilder CreateSketchPatternBuilder (NXOpen.SketchPattern con)
 Creates a NXOpen.SketchPatternBuilder More...
 
unsafe NXOpen.SketchPolygonBuilder CreateSketchPolygonBuilder (NXOpen.SketchPolygon polygonconstraint)
 Creates a NXOpen.SketchPolygonBuilder More...
 
unsafe NXOpen.Sketch FindObject (string name)
 Finds the NXOpen.Sketch with the given name. More...
 
unsafe NXOpen.Sketch GetOwningSketch (NXOpen.SmartObject geometry)
 Returns the sketch that owns the specified geometry More...
 
NXOpen.Sketch[] ToArray ()
 Returns an array of NXOpen.Sketch objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of sketches

To obtain an instance of this class, refer to NXOpen.Part

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.SketchAngularDimensionBuilder NXOpen.SketchCollection.CreateAngularDimensionBuilder ( NXOpen.Annotations.AngularDimension  angularDimension)
inline

Creates a NXOpen.SketchAngularDimensionBuilder

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
angularDimensionthe angular dimension to be edited, if a null reference (Nothing in Visual Basic). then create an angular dimension
Returns
the angular dimension builder
unsafe NXOpen.SketchAutoConstrainBuilder NXOpen.SketchCollection.CreateAutoConstrainBuilder ( )
inline

Creates a NXOpen.SketchAutoConstrainBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch Auto-Constrain Builder object
unsafe NXOpen.SketchAutoDimensionBuilder NXOpen.SketchCollection.CreateAutoDimensionBuilder ( )
inline

Creates a NXOpen.SketchAutoDimensionBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch Auto-Dimension Builder object
unsafe NXOpen.SketchConstraintBuilder NXOpen.SketchCollection.CreateConstraintBuilder ( )
inline

Creates a NXOpen.SketchConstraintBuilder

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
unsafe NXOpen.ConvertToFromReferenceBuilder NXOpen.SketchCollection.CreateConvertToFromReferenceBuilder ( )
inline

Creates a NXOpen.ConvertToFromReferenceBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch ConvertToFromReferenceBuilder object
unsafe NXOpen.SketchCornerBuilder NXOpen.SketchCollection.CreateCornerBuilder ( )
inline

Creates a NXOpen.SketchCornerBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
CornerBuilder object
unsafe NXOpen.SketchDimensionBuilder NXOpen.SketchCollection.CreateDimensionBuilder ( NXOpen.SketchDimensionalConstraint  constraint)
inline

Creates a NXOpen.SketchDimensionBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
constraintThe sketch dimensional constraint to be edited.
Returns
DimensionBuilder object
unsafe NXOpen.SketchEditDefiningSectionBuilder NXOpen.SketchCollection.CreateEditDefiningSectionBuilder ( )
inline

Creates a NXOpen.SketchEditDefiningSectionBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Returns
Edit Defining Section Builder object
unsafe NXOpen.InferredConstraintsBuilder NXOpen.SketchCollection.CreateInferredConstraintsBuilder ( )
inline

Creates a NXOpen.InferredConstraintsBuilder

Created in NX5.0.0

License requirements: None.

Returns
InferredConstraintsBuilder object
unsafe NXOpen.SketchIntersectionCurveBuilder NXOpen.SketchCollection.CreateIntersectionCurveBuilder ( NXOpen.SketchIntersectionCurve  operation)
inline

Creates the builder for intersection curve

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operation
Returns
unsafe NXOpen.SketchIntersectionPointBuilder NXOpen.SketchCollection.CreateIntersectionPointBuilder ( NXOpen.SketchIntersectionPoint  operation)
inline

Creates the builder for intersection point

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operation
Returns
unsafe NXOpen.SketchLinearDimensionBuilder NXOpen.SketchCollection.CreateLinearDimensionBuilder ( NXOpen.Annotations.Dimension  linearDimension)
inline

Creates a NXOpen.SketchLinearDimensionBuilder

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
linearDimensionthe linear dimension to be edited, if a null reference (Nothing in Visual Basic), then create a linear dimension
Returns
the linear dimension builder
unsafe NXOpen.SketchMakeSymmetricBuilder NXOpen.SketchCollection.CreateMakeSymmetricBuilder ( )
inline

Creates a NXOpen.SketchMakeSymmetricBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
MakeSymmetricBuilder object
unsafe NXOpen.SketchInPlaceBuilder NXOpen.SketchCollection.CreateNewSketchInPlaceBuilder ( NXOpen.Sketch  operation)
inline

Creates a NXOpen.SketchInPlaceBuilder

Created in NX7.5.0

Deprecated in NX11.0.0. Use NXOpen.SketchCollection.CreateSketchInPlaceBuilder2 instead.

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operationThe NXOpen.Sketch to reattach or a null reference (Nothing in Visual Basic) to create a new one
Returns
SketchInPlaceBuilder object
unsafe NXOpen.SketchProjectBuilder NXOpen.SketchCollection.CreateProjectBuilder ( NXOpen.Features.Feature  operation)
inline

Creates a NXOpen.SketchProjectBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operationThe feature for the NXOpen.SketchProjectBuilder to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
ProjectBuilder object
unsafe NXOpen.SketchQuickExtendBuilder NXOpen.SketchCollection.CreateQuickExtendBuilder ( )
inline

Creates a NXOpen.SketchQuickExtendBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch Quick-Extend Builder object
unsafe NXOpen.SketchQuickTrimBuilder NXOpen.SketchCollection.CreateQuickTrimBuilder ( )
inline

Creates a NXOpen.SketchQuickTrimBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch QuickTrim Builder object
unsafe NXOpen.SketchRadialDimensionBuilder NXOpen.SketchCollection.CreateRadialDimensionBuilder ( NXOpen.Annotations.Dimension  radialDimension)
inline

Creates a NXOpen.SketchRadialDimensionBuilder

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
radialDimensionthe radial dimension to be edited, if a null reference (Nothing in Visual Basic), then create a radial dimension
Returns
the radial dimension builder
unsafe NXOpen.SketchRapidDimensionBuilder NXOpen.SketchCollection.CreateRapidDimensionBuilder ( )
inline

Creates a NXOpen.SketchRapidDimensionBuilder

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Returns
the rapid dimension builder
unsafe NXOpen.Sketch NXOpen.SketchCollection.CreateSketch ( string  name,
NXOpen.ISurface  attachmentPlane,
NXOpen.IReferenceAxis  referenceAxis,
NXOpen.Vector3d  referenceDirection,
NXOpen.AxisOrientation  referenceAxisOrientation,
NXOpen.Sense  referenceAxisSense,
NXOpen.PlaneNormalOrientation  normalOrientation 
)
inline

Creates a sketch

Created in NX3.0.0

Deprecated in NX7.5.3. Use NXOpen.SketchInPlaceBuilder instead.

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
nameName of the sketch. The name will be converted to upper case. If this is an empty string or a null reference (Nothing in Visual Basic), a name will be provided by the system.
attachmentPlaneA face or datum plane that the sketch will be attached to. Must be planar.
referenceAxisCan be a datum axis, edge, datum plane, face, or a null reference (Nothing in Visual Basic). If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If a null reference (Nothing in Visual Basic), the reference_direction is used instead
referenceDirectionIf reference_axis is a null reference (Nothing in Visual Basic), this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not a null reference (Nothing in Visual Basic) and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used.
referenceAxisOrientationindicates whether the reference axis is horizontal or vertical
referenceAxisSenseIgnored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction
normalOrientationwhether the sketch's Z-axis should be outward or inward
Returns
the new sketch
unsafe NXOpen.Sketch NXOpen.SketchCollection.CreateSketch ( string  name,
NXOpen.ISurface  attachmentPlane,
NXOpen.IReferenceAxis  referenceAxis,
NXOpen.Vector3d  referenceDirection,
NXOpen.AxisOrientation  referenceAxisOrientation,
NXOpen.Sense  referenceAxisSense,
NXOpen.PlaneNormalOrientation  normalOrientation,
NXOpen.NXObject  view 
)
inline

Creates a sketch.

This function takes in an argument for the view to create the sketch in a drafting member view.

Created in NX4.0.0

Deprecated in NX7.5.3. Use NXOpen.SketchInDraftingBuilder instead.

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
nameName of the sketch. The name will be converted to upper case. If this is an empty string or a null reference (Nothing in Visual Basic), a name will be provided by the system.
attachmentPlaneA face or datum plane that the sketch will be attached to. Must be planar.
referenceAxisCan be a datum axis, edge, datum plane, face, or a null reference (Nothing in Visual Basic). If it is an edge, the edge must be a line segment. If it is a face, the face must be a plane. If a null reference (Nothing in Visual Basic), the reference_direction is used instead
referenceDirectionIf reference_axis is a null reference (Nothing in Visual Basic), this parameter sets the reference direction of the sketch. In this case, this parameter must not be (0,0,0). If reference_axis is not a null reference (Nothing in Visual Basic) and this parameter is not (0,0,0), this parameter determines whether the reference direction should be in the same direction as reference_axis or in the opposite direction. If this parameter is (0,0,0), this parameter is not used.
referenceAxisOrientationindicates whether the reference axis is horizontal or vertical
referenceAxisSenseIgnored unless reference_direction is (0,0,0) and reference_axis is an edge or datum axis. This parameter indicates whether the reference axis should be in the same direction as reference_axis or in the opposite direction
normalOrientationwhether the sketch's Z-axis should be outward or inward
viewView of the drafting view in which the sketch needsto be created
Returns
the new sketch
unsafe NXOpen.SketchAlongPathBuilder NXOpen.SketchCollection.CreateSketchAlongPathBuilder ( NXOpen.Sketch  operation)
inline

Creates a NXOpen.SketchAlongPathBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operationThe NXOpen.Sketch to reattach or a null reference (Nothing in Visual Basic) to create a new one
Returns
SketchAlongPathBuilder object
unsafe NXOpen.SketchAssociativeTrimBuilder NXOpen.SketchCollection.CreateSketchAssociativeTrimBuilder ( NXOpen.SketchAssociativeTrim  trimCon)
inline

Creates a NXOpen.SketchAssociativeTrimBuilder

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
trimConTrim constraint
Returns
unsafe NXOpen.SketchChamferBuilder NXOpen.SketchCollection.CreateSketchChamferBuilder ( )
inline

Creates a NXOpen.SketchChamferBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Returns
Sketch Chamfer Builder object
unsafe NXOpen.SketchConicBuilder NXOpen.SketchCollection.CreateSketchConicBuilder ( NXOpen.NXObject  conic)
inline

Creates a NXOpen.SketchConicBuilder

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
conicThe conic to be edited.
Returns
SketchConicBuilder object
unsafe NXOpen.SketchEllipseBuilder NXOpen.SketchCollection.CreateSketchEllipseBuilder ( NXOpen.NXObject  ellipse)
inline

Creates a NXOpen.SketchEllipseBuilder

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
ellipseThe ellipse to be edited.
Returns
SketchEllipseBuilder object
unsafe NXOpen.SketchInDraftingBuilder NXOpen.SketchCollection.CreateSketchInDraftingBuilder ( )
inline

Creates a NXOpen.SketchInDraftingBuilder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Returns
SketchInDraftingBuilder object
unsafe NXOpen.SketchInPlaceBuilder NXOpen.SketchCollection.CreateSketchInPlaceBuilder2 ( NXOpen.Sketch  operation)
inline

Creates a NXOpen.SketchInPlaceBuilder

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
operationThe NXOpen.Sketch to reattach or a null reference (Nothing in Visual Basic) to create a new one
Returns
SketchInPlaceBuilder object
unsafe NXOpen.SketchMirrorPatternBuilder NXOpen.SketchCollection.CreateSketchMirrorPatternBuilder ( NXOpen.SketchPattern  con)
inline

Creates a NXOpen.SketchMirrorPatternBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
conPattern constraint
Returns
unsafe NXOpen.SketchOffsetBuilder NXOpen.SketchCollection.CreateSketchOffsetBuilder ( NXOpen.SketchOffset  offCon)
inline

Creates a NXOpen.SketchOffsetBuilder .

This command only supports creation of up to 200 output curves. That means number of curves in input section multiplied by the number of copies must be less than or equal to 200.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
offConOffset constraint
Returns
unsafe NXOpen.SketchPasteBuilder NXOpen.SketchCollection.CreateSketchPasteBuilder ( NXOpen.Sketch[]  sketches)
inline

Creates a NXOpen.SketchPasteBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
sketchesNXOpen.Sketch to be copy/paste
Returns
unsafe NXOpen.SketchPatternBuilder NXOpen.SketchCollection.CreateSketchPatternBuilder ( NXOpen.SketchPattern  con)
inline

Creates a NXOpen.SketchPatternBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
conPattern constraint
Returns
unsafe NXOpen.SketchPolygonBuilder NXOpen.SketchCollection.CreateSketchPolygonBuilder ( NXOpen.SketchPolygon  polygonconstraint)
inline

Creates a NXOpen.SketchPolygonBuilder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
polygonconstraintThe polygon constraint. The only acceptable value here is a null reference (Nothing in Visual Basic).
Returns
SketchPolygonBuilder object
override int NXOpen.SketchCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Sketch NXOpen.SketchCollection.FindObject ( string  name)
inline

Finds the NXOpen.Sketch with the given name.

An exception will be thrown if no object can be found with the given name.

Created in NX3.0.0

License requirements: None.

Parameters
nameThe name of the NXOpen.Sketch
Returns
Sketch with this name
unsafe NXOpen.Sketch NXOpen.SketchCollection.GetOwningSketch ( NXOpen.SmartObject  geometry)
inline

Returns the sketch that owns the specified geometry

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
geometry
Returns
The sketch that owns the geometry
NXOpen.Sketch [] NXOpen.SketchCollection.ToArray ( )
inline

Returns an array of NXOpen.Sketch objects.

Property Documentation

Tag NXOpen.SketchCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.